Summary:	Simple frontend for the locate search
Summary(pl.UTF-8):	Prosty interfejs do wyszukiwania przy pomocy locate
Name:		xfce4-linelight-plugin
Version:	0.1.6
Release:	8
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-linelight-plugin/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	796ea4e795089a10525b8b70a0291e03
Patch0:		includes.patch
Patch1:		%{name}-gio.patch
Patch2:		%{name}-ui.patch
Patch3:		%{name}-xfcerc.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-linelight-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfce4-panel-devel >= 4.10.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple frontend for the locate search.

%description -l pl.UTF-8
Prosty interfejs do wyszukiwania przy pomocy locate.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-linelight-plugin
%{_datadir}/xfce4/panel-plugins/linelight.desktop
%{_iconsdir}/hicolor/*/apps/*
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-linelight-plugin.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 99e5140
- rebuild for XFCE 4.12
- release 8 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 4a8d850
- x32 rebuild
- release 7 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> e613842
- fix building with xfce 4.10, patch from gentoo

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a57d816
- release 6

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> d604caa
- rel 5
- port to libxfce4ui

* Mon Feb 21 2011 Jan Rękorajski <baggins@pld-linux.org> eb8f276
- rel 4
- port to gio (from upstream svn)

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 429a3e6
- added includes.patch (fixes build with xfce 4.8)
- added missing BRs
- release 3

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2d01cf2
- fixes build with xfce 4.8.0

* Tue Feb 08 2011 Artur Frysiak <artur@frysiak.net> 8dda1d4
- rel. 2

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 8caf845
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> b11255b
- initial revision

